## gate.util
Class TestRBTreeMap

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--gate.util.TestRBTreeMap

All Implemented Interfaces:
  junit.framework.Test

public class TestRBTreeMap
extends junit.framework.TestCase

Tests for the RBTreeMap class

Constructor Summary
`TestRBTreeMap(String name)` Construction

Method Summary
`void` `setUp()` Create a map with sparse values as keys
`static junit.framework.Test` `suite()` Test suite routine for the test runner
`void` `testClosestMatch()`
`void` `testExact()` A test test
`void` `testGetNextOf()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, name, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestRBTreeMap

    public TestRBTreeMap(String name)

  Construction

Method Detail

### setUp

    public void setUp()

  Create a map with sparse values as keys

### testExact

    public void testExact()

  A test test

### testClosestMatch

    public void testClosestMatch()

### testGetNextOf

    public void testGetNextOf()

### suite

    public static junit.framework.Test suite()

  Test suite routine for the test runner